<template>
   <div class="row cards " :class="{'close' : isSideMenuOpen}">
      <div class="topCard card hrefs row" :class="{'close' : isWeatherOpen || isSideMenuOpen }">
         <div><a href="https://chat.openai.com"><div class="chat"></div></a></div>
         <div><a href="https://translate.google.com"><div class="translator"></div></a></div>
      </div>   
      <div class="timeAndWeather topCard card" :class="{'close' : isWeatherOpen || isSideMenuOpen}">
         <div class="row clock"> <div class="hours">{{ hours }}</div> <div class="div row">{{ division }}</div>  <div class="minutes">{{ minutes }}</div></div>
      </div>
      <div class="topCard colomn card" :class="{'open' : isWeatherOpen}">
         <weather-app/>
      </div>
   </div>
</template>

<script>

import WeatherApp from './WeatherApp.vue';
import {mapGetters} from 'vuex'
 export default {
   components: { WeatherApp },
    props:  {
        
    },
    data() {
      return {
         timeInterval: null,
         hours: null,
         minutes: null,
         day: null,
         division: ' ',
      }
    }, 
    computed: 
        mapGetters(['isWeatherOpen', 'isSideMenuOpen']),
    mounted() {
      this.timeInterval = setInterval((date) => { 
            date = new Date()
            this.hours = date.getHours()
            this.minutes = date.getMinutes().toString()
            this.day = date.getDay()
            if (this.minutes.length == 1) { this.minutes = '0' + this.minutes }
            if (this.division === ':') { this.division = ' ' }
            else {  this.division = ':'  }
        }, 500);
    },
    beforeUnmount() { clearInterval(this.timeInterval) }
 }
</script>

<style scoped>
.cards {
   padding-top: 20px;
   transition: padding 0.5s ease-out;
}
.cards.close {
   padding-right: 120px;
}
   .hrefs {
      gap: 15px; 
   }
   .clock {
      width: 135px;
      height: 40px;
      padding: 8px 15px;
      border-radius: 10px;
      background-color: white;
      justify-content: space-around;
      box-shadow: inset 1px 1px 5px gray;
   }
   .chat, .translator {
      width: 50px;
      height: 50px;
      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
   }
   .chat {
      background-image: url(@/icon/chat.png);
   }
   .translator {
      background-image: url(@/icon/translate.png);
   }
   .topCard.close {
      width: 300px
   }

   .topCard.open {
      height: 240px;
      width: 600px;
   }
</style>